Delulu documentation
Posts
10 endpoints in the Posts API group.
Generated from the typed server contract. Download the complete OpenAPI 3.1 specification.
posts.list
GET
/v1/workspaces/{workspaceId}/postsParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
limit | query | no | value |
offset | query | no | value |
status | query | no | value |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"draft",
"pending_review",
"changes_requested",
"scheduled",
"publishing",
"published",
"partially_failed",
"failed"
]
},
"groups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"isDefault": {
"type": "boolean"
},
"segments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"text": {
"type": "string"
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"altText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailMediaId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailTimestamp": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"additionalProperties": false
}
},
"delayMinutes": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"text",
"media"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"isDefault",
"segments"
],
"additionalProperties": false
}
},
"targets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string",
"enum": [
"pending",
"publishing",
"published",
"failed"
]
},
"platformPostId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"platformPostUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"postedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"attempts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"id",
"connectionId",
"groupId",
"settings",
"scheduledAt",
"status",
"platformPostId",
"platformPostUrl",
"postedAt",
"error",
"attempts"
],
"additionalProperties": false
}
},
"source": {
"type": "string",
"enum": [
"app",
"api",
"automation"
]
},
"externalSubmissionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"status",
"groups",
"targets",
"source",
"externalSubmissionId",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}
},
"total": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"limit": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"offset": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"data",
"total",
"limit",
"offset"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}posts.create
POST
/v1/workspaces/{workspaceId}/postsParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
Request body
Required.
application/json
{
"type": "object",
"properties": {
"groups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"isDefault": {
"type": "boolean"
},
"segments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"text": {
"type": "string"
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"altText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailMediaId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailTimestamp": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"additionalProperties": false
}
},
"delayMinutes": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"text",
"media"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"isDefault",
"segments"
],
"additionalProperties": false
}
},
"targets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"connectionId",
"groupId",
"settings",
"scheduledAt"
],
"additionalProperties": false
}
},
"intent": {
"anyOf": [
{
"type": "string",
"enum": [
"draft",
"schedule",
"publish_now"
]
},
{
"type": "null"
}
]
},
"source": {
"anyOf": [
{
"type": "string",
"enum": [
"app",
"api",
"automation"
]
},
{
"type": "null"
}
]
},
"externalSubmissionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"submitForReview": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"groups",
"targets"
],
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"draft",
"pending_review",
"changes_requested",
"scheduled",
"publishing",
"published",
"partially_failed",
"failed"
]
},
"groups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"isDefault": {
"type": "boolean"
},
"segments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"text": {
"type": "string"
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"altText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailMediaId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailTimestamp": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"additionalProperties": false
}
},
"delayMinutes": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"text",
"media"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"isDefault",
"segments"
],
"additionalProperties": false
}
},
"targets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string",
"enum": [
"pending",
"publishing",
"published",
"failed"
]
},
"platformPostId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"platformPostUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"postedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"attempts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"id",
"connectionId",
"groupId",
"settings",
"scheduledAt",
"status",
"platformPostId",
"platformPostUrl",
"postedAt",
"error",
"attempts"
],
"additionalProperties": false
}
},
"source": {
"type": "string",
"enum": [
"app",
"api",
"automation"
]
},
"externalSubmissionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"status",
"groups",
"targets",
"source",
"externalSubmissionId",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}posts.publish Now
POST
/v1/workspaces/{workspaceId}/posts/{id}/publishParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"draft",
"pending_review",
"changes_requested",
"scheduled",
"publishing",
"published",
"partially_failed",
"failed"
]
},
"groups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"isDefault": {
"type": "boolean"
},
"segments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"text": {
"type": "string"
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"altText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailMediaId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailTimestamp": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"additionalProperties": false
}
},
"delayMinutes": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"text",
"media"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"isDefault",
"segments"
],
"additionalProperties": false
}
},
"targets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string",
"enum": [
"pending",
"publishing",
"published",
"failed"
]
},
"platformPostId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"platformPostUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"postedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"attempts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"id",
"connectionId",
"groupId",
"settings",
"scheduledAt",
"status",
"platformPostId",
"platformPostUrl",
"postedAt",
"error",
"attempts"
],
"additionalProperties": false
}
},
"source": {
"type": "string",
"enum": [
"app",
"api",
"automation"
]
},
"externalSubmissionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"status",
"groups",
"targets",
"source",
"externalSubmissionId",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}posts.bulk Create
POST
/v1/workspaces/{workspaceId}/posts/bulkParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
Request body
Required.
application/json
{
"type": "array",
"items": {
"type": "object",
"properties": {
"groups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"isDefault": {
"type": "boolean"
},
"segments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"text": {
"type": "string"
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"altText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailMediaId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailTimestamp": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"additionalProperties": false
}
},
"delayMinutes": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"text",
"media"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"isDefault",
"segments"
],
"additionalProperties": false
}
},
"targets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"connectionId",
"groupId",
"settings",
"scheduledAt"
],
"additionalProperties": false
}
},
"intent": {
"anyOf": [
{
"type": "string",
"enum": [
"draft",
"schedule",
"publish_now"
]
},
{
"type": "null"
}
]
},
"source": {
"anyOf": [
{
"type": "string",
"enum": [
"app",
"api",
"automation"
]
},
{
"type": "null"
}
]
},
"externalSubmissionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"submitForReview": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"groups",
"targets"
],
"additionalProperties": false
}
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "array",
"items": {
"anyOf": [
{
"type": "object",
"properties": {
"index": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"ok": {
"type": "boolean",
"enum": [
true
]
},
"post": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"draft",
"pending_review",
"changes_requested",
"scheduled",
"publishing",
"published",
"partially_failed",
"failed"
]
},
"groups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"isDefault": {
"type": "boolean"
},
"segments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"text": {
"type": "string"
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"altText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailMediaId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailTimestamp": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"additionalProperties": false
}
},
"delayMinutes": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"text",
"media"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"isDefault",
"segments"
],
"additionalProperties": false
}
},
"targets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string",
"enum": [
"pending",
"publishing",
"published",
"failed"
]
},
"platformPostId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"platformPostUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"postedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"attempts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"id",
"connectionId",
"groupId",
"settings",
"scheduledAt",
"status",
"platformPostId",
"platformPostUrl",
"postedAt",
"error",
"attempts"
],
"additionalProperties": false
}
},
"source": {
"type": "string",
"enum": [
"app",
"api",
"automation"
]
},
"externalSubmissionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"status",
"groups",
"targets",
"source",
"externalSubmissionId",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}
},
"required": [
"index",
"ok",
"post"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"index": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"ok": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"code",
"message"
],
"additionalProperties": false
}
},
"required": [
"index",
"ok",
"error"
],
"additionalProperties": false
}
]
}
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}posts.get
GET
/v1/workspaces/{workspaceId}/posts/{id}Parameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"draft",
"pending_review",
"changes_requested",
"scheduled",
"publishing",
"published",
"partially_failed",
"failed"
]
},
"groups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"isDefault": {
"type": "boolean"
},
"segments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"text": {
"type": "string"
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"altText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailMediaId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailTimestamp": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"additionalProperties": false
}
},
"delayMinutes": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"text",
"media"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"isDefault",
"segments"
],
"additionalProperties": false
}
},
"targets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string",
"enum": [
"pending",
"publishing",
"published",
"failed"
]
},
"platformPostId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"platformPostUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"postedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"attempts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"id",
"connectionId",
"groupId",
"settings",
"scheduledAt",
"status",
"platformPostId",
"platformPostUrl",
"postedAt",
"error",
"attempts"
],
"additionalProperties": false
}
},
"source": {
"type": "string",
"enum": [
"app",
"api",
"automation"
]
},
"externalSubmissionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"status",
"groups",
"targets",
"source",
"externalSubmissionId",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}posts.update
PATCH
/v1/workspaces/{workspaceId}/posts/{id}Parameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
Required.
application/json
{
"type": "object",
"properties": {
"groups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"isDefault": {
"type": "boolean"
},
"segments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"text": {
"type": "string"
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"altText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailMediaId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailTimestamp": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"additionalProperties": false
}
},
"delayMinutes": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"text",
"media"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"isDefault",
"segments"
],
"additionalProperties": false
}
},
"targets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"connectionId",
"groupId",
"settings",
"scheduledAt"
],
"additionalProperties": false
}
},
"intent": {
"anyOf": [
{
"type": "string",
"enum": [
"draft",
"schedule",
"publish_now"
]
},
{
"type": "null"
}
]
},
"source": {
"anyOf": [
{
"type": "string",
"enum": [
"app",
"api",
"automation"
]
},
{
"type": "null"
}
]
},
"externalSubmissionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"submitForReview": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"groups",
"targets"
],
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"draft",
"pending_review",
"changes_requested",
"scheduled",
"publishing",
"published",
"partially_failed",
"failed"
]
},
"groups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"isDefault": {
"type": "boolean"
},
"segments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"text": {
"type": "string"
},
"media": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"altText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailMediaId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"thumbnailTimestamp": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"additionalProperties": false
}
},
"delayMinutes": {
"anyOf": [
{
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
{
"type": "null"
}
]
}
},
"required": [
"text",
"media"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"isDefault",
"segments"
],
"additionalProperties": false
}
},
"targets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string",
"enum": [
"pending",
"publishing",
"published",
"failed"
]
},
"platformPostId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"platformPostUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"postedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"attempts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"id",
"connectionId",
"groupId",
"settings",
"scheduledAt",
"status",
"platformPostId",
"platformPostUrl",
"postedAt",
"error",
"attempts"
],
"additionalProperties": false
}
},
"source": {
"type": "string",
"enum": [
"app",
"api",
"automation"
]
},
"externalSubmissionId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"status",
"groups",
"targets",
"source",
"externalSubmissionId",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}posts.remove
DELETE
/v1/workspaces/{workspaceId}/posts/{id}Parameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"deleted": {
"type": "boolean"
}
},
"required": [
"deleted"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}posts.targets
GET
/v1/workspaces/{workspaceId}/posts/{id}/targetsParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string",
"enum": [
"pending",
"publishing",
"published",
"failed"
]
},
"platformPostId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"platformPostUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"postedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"attempts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"id",
"connectionId",
"groupId",
"settings",
"scheduledAt",
"status",
"platformPostId",
"platformPostUrl",
"postedAt",
"error",
"attempts"
],
"additionalProperties": false
}
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}posts.update Target
PATCH
/v1/workspaces/{workspaceId}/posts/{id}/targets/{targetId}Parameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
targetId | path | yes | string |
Request body
Required.
application/json
{
"type": "object",
"properties": {
"groupId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"settings": {
"anyOf": [
{
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
{
"type": "null"
}
]
},
"scheduledAt": {
"anyOf": [
{
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string",
"enum": [
"pending",
"publishing",
"published",
"failed"
]
},
"platformPostId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"platformPostUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"postedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"attempts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"id",
"connectionId",
"groupId",
"settings",
"scheduledAt",
"status",
"platformPostId",
"platformPostUrl",
"postedAt",
"error",
"attempts"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}posts.retry Target
POST
/v1/workspaces/{workspaceId}/posts/{id}/targets/{targetId}/retryParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
targetId | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"connectionId": {
"type": "string"
},
"groupId": {
"type": "string"
},
"settings": {
"anyOf": [
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"BLUESKY"
]
},
"values": {
"type": "object",
"properties": {
"replyDisabled": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FACEBOOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"FRIENDS",
"ONLY_ME"
]
}
},
"required": [
"privacy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"FARCASTER"
]
},
"values": {
"type": "object",
"properties": {
"channelId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"INSTAGRAM"
]
},
"values": {
"type": "object",
"properties": {
"shareToFeed": {
"type": "boolean"
},
"shareToStory": {
"type": "boolean"
},
"trialReels": {
"type": "boolean"
},
"graduationStrategy": {
"type": "string",
"enum": [
"MANUAL",
"SS_PERFORMANCE"
]
}
},
"required": [
"shareToFeed",
"shareToStory",
"trialReels",
"graduationStrategy"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"LINKEDIN"
]
},
"values": {
"type": "object",
"properties": {
"visibility": {
"type": "string",
"enum": [
"PUBLIC",
"CONNECTIONS"
]
}
},
"required": [
"visibility"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"PINTEREST"
]
},
"values": {
"type": "object",
"properties": {
"boardId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"THREADS"
]
},
"values": {
"type": "object",
"properties": {
"replyControl": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyControl"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TIKTOK"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC_TO_EVERYONE",
"MUTUAL_FOLLOW_FRIENDS",
"FOLLOWER_OF_CREATOR",
"SELF_ONLY"
]
},
"allowComments": {
"type": "boolean"
},
"allowDuet": {
"type": "boolean"
},
"allowStitch": {
"type": "boolean"
},
"promotionContent": {
"type": "string",
"enum": [
"NONE",
"SELF",
"PAID",
"BOTH"
]
}
},
"required": [
"privacy",
"allowComments",
"allowDuet",
"allowStitch",
"promotionContent"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"TWITTER"
]
},
"values": {
"type": "object",
"properties": {
"replyRestriction": {
"type": "string",
"enum": [
"everyone",
"following",
"mentioned"
]
}
},
"required": [
"replyRestriction"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"platform": {
"type": "string",
"enum": [
"YOUTUBE"
]
},
"values": {
"type": "object",
"properties": {
"privacy": {
"type": "string",
"enum": [
"PUBLIC",
"PRIVATE",
"UNLISTED"
]
},
"madeForKids": {
"type": "boolean"
},
"ageRestriction": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"privacy",
"madeForKids"
],
"additionalProperties": false
}
},
"required": [
"platform",
"values"
],
"additionalProperties": false
}
]
},
"scheduledAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string",
"enum": [
"pending",
"publishing",
"published",
"failed"
]
},
"platformPostId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"platformPostUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"postedAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"attempts": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"id",
"connectionId",
"groupId",
"settings",
"scheduledAt",
"status",
"platformPostId",
"platformPostUrl",
"postedAt",
"error",
"attempts"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}